Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface SetMonitor

public interface SetMonitor
extends MonitorDef

Used to monitor modifications to a Setable object in the WebLogic Server. Implement this interface to create a monitor that can operate on a target object before or after a call to its set method takes place.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Setable`

Method Summary
`void` | `postSet(Setable target, ParamSet callbackData, java.lang.Exception e)` Called following a modification to the target object.
`void` | `preSet(Setable target, ParamSet callbackData)` Called prior to a modification to the target object.

Methods inherited from interface weblogic.common.MonitorDef
`monitorInit, setServices`

Method Detail

### preSet

    public void preSet(Setable target,
                       ParamSet callbackData)
                throws MonitorException

  Called prior to a modification to the target object.

  Parameters:
    `target` - Object about to be modified
    `callbackData` - User-supplied callback data
  Throws:
    MonitorException - if the operation fails or is blocked

### postSet

    public void postSet(Setable target,
                        ParamSet callbackData,
                        java.lang.Exception e)

  Called following a modification to the target object. The argument "e" is an exception that occurred during a call to the `preSet()` method, or while performing the task itself. If "e" is not null, then the `preSet()` task did not succeed.

  Parameters:
    `target` - Modified object
    `callbackData` - User-supplied callback data
    `e` - Exception that occurred in preSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD